Skip to main content
GET
/
api
/
v1
/
calling
/
call-sessions
List Call Sessions
curl --request GET \
  --url https://api.ravan.ai/api/v1/calling/call-sessions \
  --header 'X-Api-Key: <api-key>'
{
  "success": <boolean>,
  "message": "<string>",
  "data": {
    "callSessions": [
      {
        "id": "<string>",
        "agentId": "<string>",
        "organizationId": "<string>",
        "roomId": "<string>",
        "callerNumber": "<string>",
        "calleeNumber": "<string>",
        "callerName": "<string>",
        "callerEmail": "<string>",
        "channel": "<string>",
        "status": "<string>",
        "summary": "<string>",
        "metadata": {},
        "errorMessage": "<string>",
        "disconnectReason": "<string>",
        "promptDynamicVariables": {},
        "extractDynamicVariables": null,
        "callLatencyMs": <integer>,
        "startedAt": "<string>",
        "endedAt": "<string>",
        "durationSec": <integer>,
        "createdAt": "<string>",
        "recordingUrl": "<string>",
        "costTotal": "<string>",
        "agentName": "<string>",
        "postCallAnalysisResult": {},
        "creditBreakdown": {
          "channel": "<string>",
          "duration_sec": <integer>,
          "model_credits": <number>,
          "provider_credits": <number>,
          "provider_managed": <boolean>,
          "telephony_type": "<string>",
          "total_credits": <number>
        }
      }
    ]
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key used to authenticate the request. Pass it in the X-Api-Key header. Find or rotate it from your Ravan AI account settings.

Query Parameters

page
integer
The page number to return. Page numbering starts at 1.
page_size
integer
The number of records to return per page.
agent_id
string
The unique ID of the agent that should own, handle, or be assigned to this resource. Use the id returned by the Agent API.
status
string
Filters or sets the current status of the resource. Use one of the status values supported by the endpoint.
channel
string
Filters calls by channel. Common values include voice, web, and sip.
caller_number
string
Filters results by the caller phone number in E.164 format. Example: +14157774444.
A search string used to filter matching records by supported text fields.
sort_by
string
The field to sort results by. Use one of the fields supported by the endpoint.
sort_order
string
The sort direction. Use asc for ascending order or desc for descending order.
started_after
string
Filters calls that started after this ISO 8601 timestamp.
started_before
string
Filters calls that started before this ISO 8601 timestamp.

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.
{
  "success": <boolean>,
  "message": "<string>",
  "data": {
    "callSessions": [
      {
        "id": "<string>",
        "agentId": "<string>",
        "organizationId": "<string>",
        "roomId": "<string>",
        "callerNumber": "<string>",
        "calleeNumber": "<string>",
        "callerName": "<string>",
        "callerEmail": "<string>",
        "channel": "<string>",
        "status": "<string>",
        "summary": "<string>",
        "metadata": {},
        "errorMessage": "<string>",
        "disconnectReason": "<string>",
        "promptDynamicVariables": {},
        "extractDynamicVariables": null,
        "callLatencyMs": <integer>,
        "startedAt": "<string>",
        "endedAt": "<string>",
        "durationSec": <integer>,
        "createdAt": "<string>",
        "recordingUrl": "<string>",
        "costTotal": "<string>",
        "agentName": "<string>",
        "postCallAnalysisResult": {},
        "creditBreakdown": {
          "channel": "<string>",
          "duration_sec": <integer>,
          "model_credits": <number>,
          "provider_credits": <number>,
          "provider_managed": <boolean>,
          "telephony_type": "<string>",
          "total_credits": <number>
        }
      }
    ]
  }
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

page
integer
default:1

Page number

page_size
integer
default:20

Results per page

agent_id
string

Filter by agent ID

status
string

Filter by status

channel
string

Filter by channel

caller_number
string

Filter by caller number

Search term

sort_by
string

Sort field

sort_order
string

Sort order (asc/desc)

started_after
string

Filter after (ISO 8601)

started_before
string

Filter before (ISO 8601)

Response

200 - application/json

Successful response

success
boolean
message
string
data
object
Example:
{
"callSessions": [
{
"id": "<string>",
"agentId": "<string>",
"organizationId": "<string>",
"roomId": "<string>",
"callerNumber": "<string>",
"calleeNumber": "<string>",
"callerName": "<string>",
"callerEmail": "<string>",
"channel": "<string>",
"status": "<string>",
"summary": "<string>",
"metadata": {},
"errorMessage": "<string>",
"disconnectReason": "<string>",
"promptDynamicVariables": {},
"extractDynamicVariables": null,
"callLatencyMs": 0,
"startedAt": "<string>",
"endedAt": "<string>",
"durationSec": 0,
"createdAt": "<string>",
"recordingUrl": "<string>",
"costTotal": "<string>",
"agentName": "<string>",
"postCallAnalysisResult": {},
"creditBreakdown": {
"channel": "<string>",
"duration_sec": 0,
"model_credits": 0,
"provider_credits": 0,
"provider_managed": true,
"telephony_type": "<string>",
"total_credits": 0
}
}
]
}